orca(1)

NAME
orca - a scriptable screen reader

SYNOPSIS
orca [option...]

DESCRIPTION
orca is a screen reader for people with visual impairments, it provides alternative access to the desktop by using speech synthesis and braille.

orca works with applications and toolkits that support the Assistive Technology Service Provider Interface (AT-SPI), which is the primary assistive technology infrastructure for Linux. Applications and toolkits supporting the AT-SPI include the GNOME GTK toolkit, the Java platform's Swing toolkit, LibreOffice, Gecko, WebKitGTK, and Qt.

OPTIONS

-h, --help
    Display help message and exit.

-v, --version
    Print version information and exit.

-r, --replace
    Replace a currently running orca process. By default, if orca detects an existing orca process for the same session, it will not start a new orca process. This option will kill and clean up after any existing orca process and then start a new orca in its place.

-s, --setup
    Set up user preferences using the GUI. If orca is already running, the preferences dialog will be shown in the running instance.

-l, --list-apps
    Print the known running applications. This is used primarily for debugging purposes to see if orca can talk to the accessibility infrastructure. Note that if orca is already running, this will not kill the other orca process. It will just list the currently running applications, and you will see orca listed twice: once for the existing orca and once for this instance.

-p, --profile NAME
    Load the specified user profile.

-i, --import-dir DIR
    Import settings from DIR into dconf, overwriting current settings. This is primarily intended for migration purposes.

--speech-system NAME
    Use the specified speech system.

--debug
    Enable debug output for orca and send all debug output to a file with a name of the form 'debug-YYYY-MM-DD-HH:MM:SS.out' in the current directory. The YYYY-MM-DD-HH:MM:SS portion will be replaced with the current date and time.

--debug-file FILE
    Enable debug output for orca and send all debug output to the given FILE.

KEYBOARD SETTINGS
Orca provides two keyboard modes, Desktop and Laptop keyboard layout. Orca uses the desktop's default keyboard shortcuts to navigate and interact with applications. Use learn mode to discover all available commands.

The following key bindings use the Orca_Modifier key, which is Insert in desktop keyboard layout and Caps_Lock in laptop keyboard layout.

Orca_Modifier+H
    Enter learn mode. Press Escape to exit.

Orca_Modifier+Space
    Open the preferences dialog.

Orca_Modifier+Ctrl+Space
    Open the preferences dialog for the current application.

FILES

~/.local/share/orca/
    User preferences directory.

~/.local/share/orca/orca-customizations.py
    User customizations configuration file.

~/.local/share/orca/orca-scripts/
    User scripts directory.

AUTHOR
Orca originated as a community effort led by the Sun Microsystems Inc. Accessibility Program Office and with contributions from many community members.

SEE ALSO

•   Orca repository and issue tracker <https://gitlab.gnome.org/GNOME/orca> (https://gitlab.gnome.org/GNOME/orca)